using PlumbingRepairContracts.DI;
using PlumbingRepairContracts.StoragesContracts;
using PlumbingRepairDatabaseImplement.Implements;

namespace PlumbingRepairDatabaseImplement
{
	public class DatabaseImplementationExtension : IImplementationExtension
	{
		public int Priority => 2;

		public void RegisterServices()
		{
			DependencyManager.Instance.RegisterType<IClientStorage, ClientStorage>();
			DependencyManager.Instance.RegisterType<IComponentStorage, ComponentStorage>();
			DependencyManager.Instance.RegisterType<IImplementerStorage, ImplementerStorage>();
			DependencyManager.Instance.RegisterType<IMessageInfoStorage, MessageInfoStorage>();
			DependencyManager.Instance.RegisterType<IOrderStorage, OrderStorage>();
			DependencyManager.Instance.RegisterType<IWorkStorage, WorkStorage>();
			DependencyManager.Instance.RegisterType<IBackUpInfo, BackUpInfo>();
		}
	}
}
